uniform sampler2D s_tex0; 

varying vec2 v_texcoord;
varying vec4 v_color;

void main()
{	
	// Sampling The Texture And Passing It To The Frame Buffer
	gl_FragColor = texture2D(s_tex0, v_texcoord) * v_color;
} 
